The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Packet Capturing Status

Prev Next

This URL updates the packet capturing status.

Resource URL

PUT /sensor/<sensor_id>/packetcapturestate

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

captureNow

Packet capture state can be:

  • START

  • STOP

  • CANCEL

  • DELETE_FILE

  • UPLOAD_TO_MANAGER

  • RETRY_SCP_SERVER

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status returned

Number

Example

Request

PUT https://<NSM_IP>/sensor/1001/packetcapturestate

Payload

{
	"captureNow": "START"
}

Response

{
"status": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive

3

400

6201

Packet capture not supported on this Sensor

4

400

6206

File upload in progress so could not save the configuration now

5

400

6207

Packet capture settings where changed but not saved

6

400

6208

No rules present for packet capturing